<footer
  [ngClass]="[
    'footer',
    jds.bg(jdsBiColor.gray['900']),
    jds.text(jdsBiColor.gray['400']),
    jds.fs(14)
  ]"
>
  <div [ngClass]="[jds.container]">
    <div [ngClass]="[jds.py(48)]">
      <div
        [ngClass]="[
          jds.d('flex'),
          jds.alignItems('center'),
          jds.justifyContent('center')
        ]"
      >
        <img
          [ngClass]="[jds.mx(24)]"
          alt="Jawa Barat"
          ngSrc="assets/images/logo/logo-jabar.svg"
          height="75"
          width="68"
          priority="false"
        />
        <img
          [ngClass]="[jds.mx(24)]"
          alt="Dinas Komunikasi dan Informatika Provinsi Jawa Barat"
          ngSrc="assets/images/logo/logo-diskominfo.svg"
          height="75"
          width="180"
          priority="false"
        />
        <img
          [ngClass]="[jds.mx(24)]"
          alt="Jabar Digital Service"
          ngSrc="assets/images/logo/logo-jds-putih.png"
          height="75"
          width="140"
          priority="false"
        />
      </div>
      <hr [ngClass]="[jds.my(24), jds.borderColor('#424242')]" />
      <div
        [ngClass]="[
          jds.d('flex'),
          jds.alignItems('center'),
          jds.justifyContent('center')
        ]"
      >
        <img
          [ngClass]="[jds.mx(24)]"
          alt="Satu Data Jabar"
          ngSrc="assets/images/logo/satu-data-jabar-white.png"
          height="75"
          width="174"
          priority="false"
          ngSrcset="100w, 200w, 300w"
          sizes="174vw"
        />
      </div>
      <div
        [ngClass]="[jds.mt(24), jds.d('flex'), jds.justifyContent('center')]"
      >
        <div [ngClass]="[jds.d('flex'), jds.mx(24), jds.w(245)]">
          <div [ngClass]="[jds.mt(4), jds.me(8)]">
            <jds-bi-icon name="location-dot" />
          </div>
          <span>
            Jl. Tamansari No.55, Lb.Siliwangi, Kecamatan Coblong, Kota Bandung
          </span>
        </div>
        <div [ngClass]="[jds.d('flex'), jds.mx(24), jds.w(125)]">
          <div [ngClass]="[jds.mt(4), jds.me(8)]">
            <jds-bi-icon name="whatsapp" />
          </div>
          <a
            [ngClass]="[jds.text('currentColor')]"
            [href]="message"
            target="_blank"
            rel="noopener"
          >
            {{ whatsapp }} (Whatsapp)
          </a>
        </div>
        <div [ngClass]="[jds.d('flex'), jds.mx(24), jds.w('auto')]">
          <div [ngClass]="[jds.mt(4), jds.me(8)]">
            <jds-bi-icon name="envelope" />
          </div>
          <a
            [ngClass]="[jds.text('currentColor')]"
            href="mailto:data@jabarprov.go.id"
          >
            data&#64;jabarprov.go.id
          </a>
        </div>
      </div>
    </div>
    <div
      [ngClass]="[
        jds.d('flex'),
        jds.alignItems('center'),
        jds.justifyContent('between'),
        jds.py(24)
      ]"
    >
      <div>
        © {{ this.year }} Jabar Digital Service &nbsp; | &nbsp; Versi
        {{ version }}
      </div>
      <ul [ngClass]="[jds.d('flex'), jds.mb(0), jds.list('none')]">
        <li [ngClass]="[jds.mx(8)]">
          <a
            [ngClass]="[jds.text('currentColor')]"
            rel="noopener"
            target="_blank"
            href="https://www.linkedin.com/company/jabardigitalservice/mycompany/"
          >
            <svg
              [ngClass]="[jds.mt(6)]"
              width="14"
              height="14"
              fill="currentColor"
              xmlns="http://www.w3.org/2000/svg"
              viewBox="0 0 448 512"
            >
              <path
                d="M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z"
              />
            </svg>
          </a>
        </li>
        <li [ngClass]="[jds.mx(8)]">
          <a
            [ngClass]="[jds.text('currentColor')]"
            rel="noopener"
            target="_blank"
            href="https://open.spotify.com/show/5QbYMiHZnxKYSZWUYJhKKY?si=OeflI2j5RIe22Wo3K29f4gv&nd=1"
          >
            <svg
              [ngClass]="[jds.mt(6)]"
              width="14"
              height="14"
              fill="currentColor"
              xmlns="http://www.w3.org/2000/svg"
              viewBox="0 0 496 512"
            >
              <path
                d="M248 8C111.1 8 0 119.1 0 256s111.1 248 248 248 248-111.1 248-248S384.9 8 248 8zm100.7 364.9c-4.2 0-6.8-1.3-10.7-3.6-62.4-37.6-135-39.2-206.7-24.5-3.9 1-9 2.6-11.9 2.6-9.7 0-15.8-7.7-15.8-15.8 0-10.3 6.1-15.2 13.6-16.8 81.9-18.1 165.6-16.5 237 26.2 6.1 3.9 9.7 7.4 9.7 16.5s-7.1 15.4-15.2 15.4zm26.9-65.6c-5.2 0-8.7-2.3-12.3-4.2-62.5-37-155.7-51.9-238.6-29.4-4.8 1.3-7.4 2.6-11.9 2.6-10.7 0-19.4-8.7-19.4-19.4s5.2-17.8 15.5-20.7c27.8-7.8 56.2-13.6 97.8-13.6 64.9 0 127.6 16.1 177 45.5 8.1 4.8 11.3 11 11.3 19.7-.1 10.8-8.5 19.5-19.4 19.5zm31-76.2c-5.2 0-8.4-1.3-12.9-3.9-71.2-42.5-198.5-52.7-280.9-29.7-3.6 1-8.1 2.6-12.9 2.6-13.2 0-23.3-10.3-23.3-23.6 0-13.6 8.4-21.3 17.4-23.9 35.2-10.3 74.6-15.2 117.5-15.2 73 0 149.5 15.2 205.4 47.8 7.8 4.5 12.9 10.7 12.9 22.6 0 13.6-11 23.3-23.2 23.3z"
              />
            </svg>
          </a>
        </li>
        <li [ngClass]="[jds.mx(8)]">
          <a
            [ngClass]="[jds.text('currentColor')]"
            rel="noopener"
            target="_blank"
            href="https://www.instagram.com/jabardigitalservice/"
          >
            <svg
              [ngClass]="[jds.mt(6)]"
              width="14"
              height="14"
              fill="currentColor"
              xmlns="http://www.w3.org/2000/svg"
              viewBox="0 0 448 512"
            >
              <path
                d="M224.1 141c-63.6 0-114.9 51.3-114.9 114.9s51.3 114.9 114.9 114.9S339 319.5 339 255.9 287.7 141 224.1 141zm0 189.6c-41.1 0-74.7-33.5-74.7-74.7s33.5-74.7 74.7-74.7 74.7 33.5 74.7 74.7-33.6 74.7-74.7 74.7zm146.4-194.3c0 14.9-12 26.8-26.8 26.8-14.9 0-26.8-12-26.8-26.8s12-26.8 26.8-26.8 26.8 12 26.8 26.8zm76.1 27.2c-1.7-35.9-9.9-67.7-36.2-93.9-26.2-26.2-58-34.4-93.9-36.2-37-2.1-147.9-2.1-184.9 0-35.8 1.7-67.6 9.9-93.9 36.1s-34.4 58-36.2 93.9c-2.1 37-2.1 147.9 0 184.9 1.7 35.9 9.9 67.7 36.2 93.9s58 34.4 93.9 36.2c37 2.1 147.9 2.1 184.9 0 35.9-1.7 67.7-9.9 93.9-36.2 26.2-26.2 34.4-58 36.2-93.9 2.1-37 2.1-147.8 0-184.8zM398.8 388c-7.8 19.6-22.9 34.7-42.6 42.6-29.5 11.7-99.5 9-132.1 9s-102.7 2.6-132.1-9c-19.6-7.8-34.7-22.9-42.6-42.6-11.7-29.5-9-99.5-9-132.1s-2.6-102.7 9-132.1c7.8-19.6 22.9-34.7 42.6-42.6 29.5-11.7 99.5-9 132.1-9s102.7-2.6 132.1 9c19.6 7.8 34.7 22.9 42.6 42.6 11.7 29.5 9 99.5 9 132.1s2.7 102.7-9 132.1z"
              />
            </svg>
          </a>
        </li>
        <li [ngClass]="[jds.mx(8)]">
          <a
            [ngClass]="[jds.text('currentColor')]"
            rel="noopener"
            target="_blank"
            href="https://medium.com/jabardigitalservice"
          >
            <svg
              [ngClass]="[jds.mt(6)]"
              width="14"
              height="14"
              fill="currentColor"
              xmlns="http://www.w3.org/2000/svg"
              viewBox="0 0 640 512"
            >
              <path
                d="M180.5,74.262C80.813,74.262,0,155.633,0,256S80.819,437.738,180.5,437.738,361,356.373,361,256,280.191,74.262,180.5,74.262Zm288.25,10.646c-49.845,0-90.245,76.619-90.245,171.095s40.406,171.1,90.251,171.1,90.251-76.619,90.251-171.1H559C559,161.5,518.6,84.908,468.752,84.908Zm139.506,17.821c-17.526,0-31.735,68.628-31.735,153.274s14.2,153.274,31.735,153.274S640,340.631,640,256C640,171.351,625.785,102.729,608.258,102.729Z"
              />
            </svg>
          </a>
        </li>
      </ul>
    </div>
  </div>
</footer>
